#include "stdafx.h"
#include "SpinnerDesign.h"
#include "CColourListBox.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


void CColourListBox::DrawItem(LPDRAWITEMSTRUCT lpDraw)
{
	CDC dc;
	dc.Attach(lpDraw->hDC);

	int itemID = lpDraw->itemID;
	if(lpDraw->itemAction&ODA_FOCUS)
	{
		CRect rc = lpDraw->rcItem;\
		rc.InflateRect(-2,-2);
		dc.DrawFocusRect(&rc);
	}
	if(itemID!=0xffffffff)
	{
		CBrush br(GetItemData(itemID));
		CRect rc = lpDraw->rcItem;
		rc.InflateRect(-3,-3);
		dc.FillRect(&rc,&br);
	}
	dc.Detach();
}

void CColourListBox::MeasureItem(LPMEASUREITEMSTRUCT lpSize)
{
	lpSize->itemHeight=12;
	lpSize->itemHeight=20;
}

int CColourListBox::CompareItem(LPCOMPAREITEMSTRUCT lpDraw)
{
	return 0;
}

void CColourListBox::ReadFromList(CColourComboBox& cbx)
{
	ResetContent();
	for(int i=0;i<cbx.GetCount();i++)
	{
		AddColour(cbx.GetItemData(i));
	}
}

void CColourListBox::WriteToList(CColourComboBox& cbx)
{
	cbx.ResetContent();
	for(int i=0;i<GetCount();i++)
	{
		cbx.AddColour(GetItemData(i));
	}
}
