// SpinnerDesignDlg.h : header file
//

#if !defined(AFX_SPINNERDESIGNDLG_H__B815AB4A_9764_4CF1_91B1_2A92A41D2159__INCLUDED_)
#define AFX_SPINNERDESIGNDLG_H__B815AB4A_9764_4CF1_91B1_2A92A41D2159__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "CColourComboBox.h"

/////////////////////////////////////////////////////////////////////////////
// CSpinnerDesignDlg dialog

class CSpinnerDesignDlg : public CDialog
{
// Construction
public:
	CSpinnerDesignDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSpinnerDesignDlg)
	enum { IDD = IDD_SPINNERDESIGN_DIALOG };
	double	m_scale;
	//}}AFX_DATA
	CColourComboBox	m_combo2;
	CColourComboBox	m_combo1;

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSpinnerDesignDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	bool bTestViewMode;
	CObList	mylist;	
	void ClearItems();
	void DrawItem(CDC *pDC);
	void DrawTracked(CPoint startPoint,CPoint endPoint);
	double m_rot2d;
	void AddToDiagram(CPoint pt);
	void ConvertXYtoTheta(CPoint point,double &ang,double &len);
	void DrawGrid(CDC *pDC);
	HICON m_hIcon;
	void DrawColourList(LPDRAWITEMSTRUCT lpDraw, CComboBox& wnd);
	CBitmap goImage;
	CBitmap clrImage;

	// Generated message map functions
	//{{AFX_MSG(CSpinnerDesignDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnButton1();
	afx_msg void OnButton3();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnUpdateEdit1();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnClear();
	afx_msg void OnGenerate();
	afx_msg void OnRescale();
	afx_msg void OnTest();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SPINNERDESIGNDLG_H__B815AB4A_9764_4CF1_91B1_2A92A41D2159__INCLUDED_)
