
#ifndef STORAGESTRUCTS_H
#define STORAGESTRUCTS_H

#pragma pack(push)
#pragma pack(1)

struct StorageHeader
{
	int		magic;		// must be 0xfade0ff
	short	elements;	// no of elements
	BYTE	byRed;
	BYTE	byGreen;	// colour values
	BYTE	byBlue;
	BYTE	byReserved;	// must be 0
};


struct PointEntryPair
{
	double ang;
	double len;
};

struct StorageEntry
{
	BYTE	type;		// 2 for line 1 for poly
	BYTE	noItems;	// points in poly.
	BYTE	bkred;
	BYTE	bkgreen;
	BYTE	bkblue;
	BYTE	fgred;
	BYTE	fggreen;
	BYTE	fgblue;
};

#pragma pack(pop)

#endif